aboutsummaryrefslogtreecommitdiffstats
path: root/main/pcmciautils/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2017-03-17 13:05:17 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-03-17 13:05:17 +0000
commitb617a9e0d3113bf85adc517991d0e7d16b9f7cba (patch)
treefb3baa1f4066f8b0375e3828d08cc715ba6b60d5 /main/pcmciautils/APKBUILD
parent6c386727deed8bcac33866a01b3009195f32d53d (diff)
downloadaports-b617a9e0d3113bf85adc517991d0e7d16b9f7cba.tar.bz2
aports-b617a9e0d3113bf85adc517991d0e7d16b9f7cba.tar.xz
main/pcmciautils: disable check, modernize APKBUILD
Diffstat (limited to 'main/pcmciautils/APKBUILD')
-rw-r--r--main/pcmciautils/APKBUILD19
1 files changed, 8 insertions, 11 deletions
diff --git a/main/pcmciautils/APKBUILD b/main/pcmciautils/APKBUILD
index 8c8be38f32..b4b0c8d07b 100644
--- a/main/pcmciautils/APKBUILD
+++ b/main/pcmciautils/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=pcmciautils
pkgver=018
-pkgrel=0
+pkgrel=1
pkgdesc="Utilities for inserting and removing PCMCIA cards"
url="http://kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html"
arch="all"
@@ -9,32 +9,29 @@ license="GPL"
subpackages="$pkgname-doc"
depends=
makedepends="sysfsutils-dev bison flex"
+options="!check"
source="https://sources.archlinux.org/other/${pkgname}/${pkgname}-${pkgver}.tar.xz
unsigned.patch
disable_yywrap.patch
"
+builddir="$srcdir"/$pkgname-$pkgver
-_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ cd "$builddir"
+ default_prepare || return 1
}
build() {
- cd "$_builddir"
+ cd "$builddir"
make -j1 LEX=flex || return 1
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir"/ install
ln -sf pccardctl "$pkgdir"/sbin/lspcmcia
}
+
sha512sums="c7c1ecde41a60d3d1fcb12e3be309f8287d0242ad93e17b1286bf2818a0de1f415c89f63fec0571264e5ff87e99ba7ded905e6b671c2f6795ea910a0045261f5 pcmciautils-018.tar.xz
b96f9bc3176f1eeb936a31f8fab5a495ce14218e92fbae2350aa970328b53bd6732ade90721f1ca55d80a94436189773f83a300aa8af7c43ecc5ed62c95f3557 disable_yywrap.patch
18e5d3bfe3316c49e4a899b9181177c1c275274d5788a4af7299d0c6b8cbdfca8f3465f242356d35c6e96103cb620173e6f93e7e66787d5d2b194c5a4264bf91 unsigned.patch"